#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PG15_LOGLEVEL.sh - script dialog for ece
#
# Creation:     2008-04-12 dv
# Last update:  2023-11-30 20:44:37
#
# Copyright (c) 2023 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="debug5,debug4,debug3,debug2,debug1,log"
    sellist="$sellist,notice,warning,error,fatal,panic"

    ece_select_list_dlg "$win" "Log Level" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
